import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Level10 here.
 * 
 * @author (Nico Schmidt) 
 * @version (27.04.17)
 */
public class Level10 extends World
{

    /**
     * Constructor for objects of class Level10.
     * 
     */
    public Level10()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        Greenfoot.setSpeed(50);
        addObject(new Player(),300,200);
        setup();
    }

    private void setup()
    {
        addObject(new TargetArea(), 420, 200);  //Zielbereich instanziieren und einfuegen  
        Wall wall = new Wall();  //neuen Wand-Actor erschaffen und speichern 
        addObject(wall, 0, 0);  //Wand in die Welt einfuegen
        wall.placeWall(0,100,500,20);  //Positionierung der Wand, x, y, breite, hoehe. 

        Wall wall2 = new Wall();
        addObject(wall2, 0, 0);
        wall2.placeWall(500,100,20,200);

        Wall wall3 = new Wall();  //neuen Wand-Actor erschaffen und speichern 
        addObject(wall3, 0, 0);  //Wand in die Welt einfuegen
        wall3.placeWall(100,300,420,20);  //Positionierung der Wand, x, y, breite, hoehe. 

        Wall wall4 = new Wall();
        addObject(wall4, 0, 0);
        wall4.placeWall(100,150,20,150);

        Wall wall5 = new Wall();  //neuen Wand-Actor erschaffen und speichern 
        addObject(wall5, 0, 0);  //Wand in die Welt einfuegen
        wall5.placeWall(200,50,50,200);  //Positionierung der Wand, x, y, breite, hoehe. 

        Wall wall6 = new Wall();
        addObject(wall6, 0, 0);
        wall6.placeWall(300,50,50,200);

        Wall wall7 = new Wall();  //neuen Wand-Actor erschaffen und speichern 
        addObject(wall7, 0, 0);  //Wand in die Welt einfuegen
        wall7.placeWall(80,0,10,70);  //Positionierung der Wand, x, y, breite, hoehe. 


        addObject(new ShooterLinks(),585,10);
        addObject(new ShooterLinks(),585,35);
        addObject(new GreenDot(),275,145);
        addObject(new Shooter(),20,380);
        addObject(new BlueDot(),50,340);
        addObject(new RedDotHorizontal(),300,275);
        addObject(new LevelAnzeige(),35,10);
    }
}


