import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Drittes Level
 * 
 * @author (Nico Schmidt) 
 * @version (10.04.2017)
 */
public class Level3 extends World
{

    /**
     * Constructor for objects of class Level3.
     * 
     */
    public Level3()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        Greenfoot.setSpeed(50);
        addObject(new Player(),300,200);
        setup();
    }
    public void setup()
    {
      Wall wall = new Wall();  //neuen Wand-Actor erschaffen und speichern 
        addObject(wall, 0, 0);  //Wand in die Welt einfuegen
        wall.placeWall(100,0,50,330);  //Positionierung der Wand, x, y, breite, hoehe. 
        Wall wall2 = new Wall();
        addObject(wall2, 0, 0);
        wall2.placeWall(250,70,50,330);
        Wall wall3 = new Wall();
        addObject(wall3, 0, 0);
        wall3.placeWall(400,0,50,330);
        addObject(new TargetArea(), 550, 50);  //Zielbereich instanziieren und einfuegen  
        addObject(new RedDot(),330,230);   //Gegner erschaffen und einfuegen
        addObject(new RedDot(),370,300);
        addObject(new RedDot(),370,160);   //Gegner erschaffen und einfuegen
        addObject(new RedDot(),330,90);
        addObject(new BlueDot(),330,40);
        addObject(new BlueDot(),230,20); 
        addObject(new GreenDot(),180,40);
        addObject(new GreenDot(),220,360);
        addObject(new LevelAnzeige(),30,10);
    }
}
