import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Anzeige, die einen zufällig gewählten Text nach dem Abschließen eines Levels anzeigt.
 * 
 * @author (Nico Schmidt) 
 * @version (11.04.2017)
 */
public class LevelGeschafft extends Actor
{
    String [] geschafft_;                   //Array zur Speicherung der Motivationstexte

    public void addedToWorld(World world) 
    {
        geschafftTexteFestlegen();
        LevelGeschafft ();
        Greenfoot.delay (75);                   //Ausführung des Codes wird verzögert, um zu verhindern, dass der Text sofort verschwindet
    }

    public void geschafftTexteFestlegen()   //Festlegung der Texte für geschaffte Level
    {
        geschafft_ = new String [8];                //Arraygröße festgelegt
        geschafft_ [0] = "Super gemacht!";          
        geschafft_ [1] = "Auf ins nächste Level!";  //verschiedene Texte werden festgelegt
        geschafft_ [2] = "Weiter so!";
        geschafft_ [3] = "Es wird\n noch schwerer!";
        geschafft_ [4] = "Mal schauen, ob\n du das nächste Level\n genauso gut\n meisterst.";
        geschafft_ [5] = "Lass dich nicht\n frustrieren!";
        geschafft_ [6] = "Wir haften auch\n im nächsten Level\n nicht für zerstörte\n Tastaturen.";
        geschafft_ [7] = "Hab keine Angst,\n es wird schon noch\n schwerer.";
    }

    public void LevelGeschafft ()           //Objekt erhält ein Image mit einem der festgelegten Texte 
    {
        setImage(new GreenfootImage(geschafft_ [Greenfoot.getRandomNumber(geschafft_.length) ], 70 , Color.BLACK , Color.WHITE));   
    }
}
