import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Wand here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Wall extends Actor
{
    /**
     * Act - do whatever the Wand wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // von alleine tut die Wand nichts
    }    
    
    /**
     * Method setSize
     * setzt die Groesse des Wall-Bilds auf die entsprechende breite und hoehe
     *
     * @param width     Die breite des Actors
     * @param height    Die hoehe des Actors
     */
    public void setSize(int width, int height){
        GreenfootImage wallImg = getImage();  //aktuelles Bild holen und speichern
        wallImg.scale(width, height);   //Bildgroesse anpassen
    }
    
    /**
     * Method setPos
     * setzt den Wall-Actor an die angegebenen Koordinaten 
     * Achtung!: x und y beziehen sich hier auf die obere linke Ecke der Wall
     *
     * @param x     Die x-Koordinate der oberen linken Ecke des Actors
     * @param y     Die y-Koordinate der oberen linken Ecke des Actors
     */
    public void setPos(int x, int y){
        GreenfootImage wallImg = getImage(); //aktuelles Bild holen und speichern
        setLocation(x+wallImg.getWidth()/2, y + wallImg.getHeight()/2); //Actor mit x und y platzieren
    }
    
    /**
     * Method placeWall platziert diese Wand. 
     * Achtung: x & y bezieht sich hier auf die obere linke Ecke der Wand, 
     * nicht - wie in Greenfoot ansonsten ueblich - den Mittelpunkt
     *
     * @param x     X-Koordinate der oberen linken Ecke
     * @param y     Y-Koordinate der oberen linken Ecke
     * @param width     Die Breite der Wand
     * @param height    Die Hoehe der Wand
     */
    public void placeWall(int x, int y, int width, int height){
        setSize(width,height);  //zuerst die hoehe und breite aendern
        setPos(x,y); //damit dann die obere linke Ecke platziert werden kann
    }
    
    
}
