import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Erstes Level
 * 
 * @author (Robin Rocher) 
 * @version (06.04.2017)
 */
public class Level1 extends World
{

    /**
     * Constructor for objects of class HardWorld.
     * 
     */
    public Level1()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        Greenfoot.setSpeed(50);
        addObject(new Player(),300,200);
        setup();  //Instanzen für dieses Level erschaffen und einfuegen
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void setup()
    {
        Wall wall = new Wall();  //neuen Wand-Actor erschaffen und speichern 
        addObject(wall, 0, 0);  //Wand in die Welt einfuegen
        wall.placeWall(100,0,100,330);  //Positionierung der Wand, x, y, breite, hoehe. 
        Wall wall2 = new Wall();
        addObject(wall2, 0, 0);
        wall2.placeWall(400,70,100,330);
        addObject(new TargetArea(), 550, 350);  //Zielbereich instanziieren und einfuegen  
        addObject(new BlueDot(),320,250);   //Gegner erschaffen und einfuegen
        addObject(new BlueDot(),270,320);
        addObject(new BlueDot(),320,180);   //Gegner erschaffen und einfuegen
        addObject(new BlueDot(),270,110);
        addObject(new LevelAnzeige(),30,10);
    }
}
