import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Zweites Level
 * 
 * @author (Robin Rocher) 
 * @version (06.04.2017)
 */
public class Level2 extends World
{

    /**
     * Constructor for objects of class Level2.
     * 
     */
    public Level2()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        Greenfoot.setSpeed(50);
        addObject(new Player(),300,200);
        setup();
    }

    public void setup()
    {
        Wall wall = new Wall();  //neuen Wand-Actor erschaffen und speichern 
        addObject(wall, 0, 0);  //Wand in die Welt einfuegen
        wall.placeWall(100,0,100,330);  //Positionierung der Wand, x, y, breite, hoehe. 
        Wall wall2 = new Wall();
        addObject(wall2, 0, 0);
        wall2.placeWall(200,230,300,100);
        addObject(new TargetArea(), 230, 200);
        addObject(new GreenDot(),460,50);   //Gegner erschaffen und einfuegen
        addObject(new GreenDot(),390,100);
        addObject(new GreenDot(),320,150);
        addObject(new BlueDot(),300,340);
        addObject(new BlueDot(),250,390);
        addObject(new LevelAnzeige(),30,10);
    }
}
