import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Viertes Level
 * 
 * @author (Nico Schmidt) 
 * @version (10.04.2017)
 */
public class Level4 extends World
{

    /**
     * Constructor for objects of class Level4.
     * 
     */
    public Level4()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        Greenfoot.setSpeed(50);
        addObject(new Player(),300,200);
        setup();  //Instanzen für dieses Level erschaffen und einfuegen
    }
    
    private void setup()
    {
        addObject(new TargetArea(), 550, 200);  //Zielbereich instanziieren und einfuegen  
        addObject(new RedDotSenkrecht(),150,200);   //Gegner erschaffen und einfuegen
        addObject(new RedDotSenkrecht(),250,200);
        addObject(new RedDotSenkrecht(),350,200);   //Gegner erschaffen und einfuegen
        addObject(new RedDotSenkrecht(),450,200);
        addObject(new GreenDot(),100,100);   //Gegner erschaffen und einfuegen
        addObject(new GreenDot(),200,100);
        addObject(new GreenDot(),300,100);   //Gegner erschaffen und einfuegen
        addObject(new GreenDot(),400,100);
        addObject(new GreenDot(),500,100);
        addObject(new GreenDot(),100,300);   //Gegner erschaffen und einfuegen
        addObject(new GreenDot(),200,300);
        addObject(new GreenDot(),300,300);   //Gegner erschaffen und einfuegen
        addObject(new GreenDot(),400,300);
        addObject(new GreenDot(),500,300);
        addObject(new BlueDot(),150,300);   //Gegner erschaffen und einfuegen
        addObject(new BlueDot(),250,300);
        addObject(new BlueDot(),350,300);   //Gegner erschaffen und einfuegen
        addObject(new BlueDot(),450,300);
        addObject(new BlueDot(),150,100);
        addObject(new BlueDot(),250,100);
        addObject(new BlueDot(),350,100);   //Gegner erschaffen und einfuegen
        addObject(new BlueDot(),450,100);
        addObject(new LevelAnzeige(),30,10);
    }
}
