import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Fünftes Level
 * 
 * @author (Nico Schmidt) 
 * @version (14.04.2017)
 */
public class Level5 extends World
{

    /**
     * Constructor for objects of class Level5.
     * 
     */
    public Level5()
    {    
       // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        Greenfoot.setSpeed(50);
        addObject(new Player(),300,200);
        setup();  //Instanzen für dieses Level erschaffen und einfuegen
    }
    
        private void setup()
    {
        addObject(new TargetArea(), 550, 350);  //Zielbereich instanziieren und einfuegen  
        Wall wall = new Wall();  //neuen Wand-Actor erschaffen und speichern 
        addObject(wall, 0, 0);  //Wand in die Welt einfuegen
        wall.placeWall(100,0,10,100);  //Positionierung der Wand, x, y, breite, hoehe. 
        Wall wall2 = new Wall();
        addObject(wall2, 0, 0);
        wall2.placeWall(50,90,50,10);
        addObject(new RedDotSenkrecht(),150,50);   //Gegner erschaffen und einfuegen
        addObject(new RedDotSenkrecht(),250,150);
        addObject(new RedDotSenkrecht(),350,250);   //Gegner erschaffen und einfuegen
        addObject(new RedDotSenkrecht(),450,350);
        addObject(new Follower(),150,30);
        addObject(new LevelAnzeige(),30,10);
    }
    
}
