import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Sechstes Level
 * 
 * @author (Nico Schmidt) 
 * @version (14.04.2017)
 */
public class Level6 extends World
{

    /**
     * Constructor for objects of class Level6.
     * 
     */
    public Level6()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        Greenfoot.setSpeed(50);
        addObject(new Player(),300,200);
        setup();  //Instanzen für dieses Level erschaffen und einfuegen
    }

    private void setup()
    {
        addObject(new TargetArea(), 550, 200);  //Zielbereich instanziieren und einfuegen  
        Wall wall = new Wall();  //neuen Wand-Actor erschaffen und speichern 
        addObject(wall, 0, 0);  //Wand in die Welt einfuegen
        wall.placeWall(100,0,10,100);  //Positionierung der Wand, x, y, breite, hoehe. 
        Wall wall2 = new Wall();
        addObject(wall2, 0, 0);
        wall2.placeWall(50,90,50,10);
        addObject(new ShooterUnten(),150,30);   //Gegner erschaffen und einfuegen
        addObject(new ShooterUnten(),250,30);
        addObject(new ShooterUnten(),350,30);   //Gegner erschaffen und einfuegen
        addObject(new ShooterUnten(),450,30);
        addObject(new ShooterOben(),150,370);   //Gegner erschaffen und einfuegen
        addObject(new ShooterOben(),250,370);
        addObject(new ShooterOben(),350,370);   //Gegner erschaffen und einfuegen
        addObject(new ShooterOben(),450,370);
        addObject(new Shooter(),300,200);
        addObject(new LevelAnzeige(),30,10);
    }

}
