import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Gegner, der sich horizontal zwischen Wänden, Rändern der Welt, der TargetArea oder anderen Gegnern bewegt und sich dabei ausdehnt und zusammen zieht.
 * 
 * @author (Nico Schmidt) 
 * @version (10.04.2017)
 */
public class RedDotHorizontal extends Enemy
{
    /**
     * Act - do whatever the RedDotHorizontal wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */

    RedDotHorizontal()
    {
        setImages("redDot_");                       //Festlegung Name für Bildänderung
        setSpeed(Greenfoot.getRandomNumber(2)+1);   //Festlegung Geschwindigkeit auf zufälligen Wert zwischen 1 und 3
    }

    public void act() 
    {
        spreading();                                //Ausdehnen und Zusammenziehen
        steuerungHorizontal();                      //horizontale Bewegung
    }    
}
