import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Gegner, der sich vertikal zwischen Wänden, Rändern der Welt, der TargetArea oder anderen Gegnern bewegt und sich dabei ausdehnt und zusammen zieht.
 * 
 * @author (Nico Schmidt) 
 * @version (10.04.2017)
 */
public class RedDotSenkrecht extends Enemy
{
    /**
     * Act - do whatever the RedDotSenkrecht wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */

    RedDotSenkrecht()
    {
        setImages("redDot_");                       //Dateiname der Bilder festlegen
        setSpeed(Greenfoot.getRandomNumber(2)+1);   //Geschwindigkeit zwischen 1 und 3
    }

    public void act() 
    {
        spreading();                                //Ausdehnen und Zusammenziehen
        steuerungSenkrecht();                       //senkrechte Bewegung
    }    
}
